commit:     1bd27e66fe4d201154a8b8afdd1e9c367303e95e
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu Nov 28 09:48:46 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Thu Nov 28 10:44:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1bd27e66

dev-crystal/spectator: remove a test

It mysterioiusly fails to build in Tinderbox.

Closes: https://bugs.gentoo.org/945172
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-crystal/spectator/spectator-0.12.1.ebuild | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/dev-crystal/spectator/spectator-0.12.1.ebuild 
b/dev-crystal/spectator/spectator-0.12.1.ebuild
index 3945c75da..949b583c3 100644
--- a/dev-crystal/spectator/spectator-0.12.1.ebuild
+++ b/dev-crystal/spectator/spectator-0.12.1.ebuild
@@ -15,6 +15,13 @@ KEYWORDS="~amd64"
 
 DOCS=( {ARCHITECTURE,CHANGELOG,CONTRIBUTING,README}.md )
 
+src_prepare() {
+       default
+
+       # remove a test that might fail to build (bug 945172)
+       rm spec/issues/github_issue_48_spec.cr || die
+}
+
 src_test() {
        # adopted from .gitlab-ci.yml
        shards_src_test spec/matchers/ spec/spectator/*.cr
@@ -26,7 +33,7 @@ src_test() {
        # Build failure
        #shards_src_test spec/spectator/dsl/
 
-       # Compile each test individually because otherwise
+       # Compile each test individually, because otherwise
        # up to 3G of RAM is eaten by compilation.
        local t
        for t in spec/spectator/mocks/*; do

Reply via email to